SUSE: 2022:2320-1 important: MozillaThunderbird | LinuxSecurity.com

Advisories


   SUSE Security Update: Security update for MozillaThunderbird
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:2320-1
Rating:             important
References:         #1200793 
Cross-References:   CVE-2022-2200 CVE-2022-2226 CVE-2022-31744
                    CVE-2022-34468 CVE-2022-34470 CVE-2022-34472
                    CVE-2022-34478 CVE-2022-34479 CVE-2022-34481
                    CVE-2022-34484
Affected Products:
                    SUSE Linux Enterprise Desktop 15-SP3
                    SUSE Linux Enterprise Desktop 15-SP4
                    SUSE Linux Enterprise High Performance Computing 15-SP3
                    SUSE Linux Enterprise High Performance Computing 15-SP4
                    SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3
                    SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4
                    SUSE Linux Enterprise Server 15-SP3
                    SUSE Linux Enterprise Server 15-SP4
                    SUSE Linux Enterprise Server for SAP Applications 15-SP3
                    SUSE Linux Enterprise Server for SAP Applications 15-SP4
                    SUSE Linux Enterprise Storage 7.1
                    SUSE Linux Enterprise Workstation Extension 15-SP3
                    SUSE Linux Enterprise Workstation Extension 15-SP4
                    SUSE Manager Proxy 4.2
                    SUSE Manager Proxy 4.3
                    SUSE Manager Retail Branch Server 4.2
                    SUSE Manager Retail Branch Server 4.3
                    SUSE Manager Server 4.2
                    SUSE Manager Server 4.3
                    openSUSE Leap 15.3
                    openSUSE Leap 15.4
______________________________________________________________________________

   An update that fixes 10 vulnerabilities is now available.

Description:

   This update for MozillaThunderbird fixes the following issues:

     - CVE-2022-2200: Undesired attributes could be set as part of prototype
       pollution (bmo#1771381)
     - CVE-2022-2226: An email with a mismatching OpenPGP signature date was
       accepted as valid (bmo#1775441)
     - CVE-2022-31744: CSP bypass enabling stylesheet injection (bmo#1757604)
     - CVE-2022-34468: CSP sandbox header without `allow-scripts` can be
       bypassed via retargeted javascript: URI (bmo#1768537)
     - CVE-2022-34470: Use-after-free in nsSHistory (bmo#1765951)
     - CVE-2022-34472: Unavailable PAC file resulted in OCSP requests being
       blocked (bmo#1770123)
     - CVE-2022-34478: Microsoft protocols can be attacked if a user accepts
       a prompt (bmo#1773717)
     - CVE-2022-34479: A popup window could be resized in a way to overlay
       the address bar with web content (bmo#1745595)
     - CVE-2022-34481: Potential integer overflow in ReplaceElementsAt
       (bmo#1497246)
     - CVE-2022-34484: Memory safety bugs fixed in Thunderbird 91.11 and
       Thunderbird 102 (bmo#1763634, bmo#1772651)


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.4:

      zypper in -t patch openSUSE-SLE-15.4-2022-2320=1

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2022-2320=1

   - SUSE Linux Enterprise Workstation Extension 15-SP4:

      zypper in -t patch SUSE-SLE-Product-WE-15-SP4-2022-2320=1

   - SUSE Linux Enterprise Workstation Extension 15-SP3:

      zypper in -t patch SUSE-SLE-Product-WE-15-SP3-2022-2320=1

   - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4:

      zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP4-2022-2320=1

   - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3:

      zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP3-2022-2320=1



Package List:

   - openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64):

      MozillaThunderbird-91.11.0-150200.8.76.1
      MozillaThunderbird-debuginfo-91.11.0-150200.8.76.1
      MozillaThunderbird-debugsource-91.11.0-150200.8.76.1
      MozillaThunderbird-translations-common-91.11.0-150200.8.76.1
      MozillaThunderbird-translations-other-91.11.0-150200.8.76.1

   - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):

      MozillaThunderbird-91.11.0-150200.8.76.1
      MozillaThunderbird-debuginfo-91.11.0-150200.8.76.1
      MozillaThunderbird-debugsource-91.11.0-150200.8.76.1
      MozillaThunderbird-translations-common-91.11.0-150200.8.76.1
      MozillaThunderbird-translations-other-91.11.0-150200.8.76.1

   - SUSE Linux Enterprise Workstation Extension 15-SP4 (x86_64):

      MozillaThunderbird-91.11.0-150200.8.76.1
      MozillaThunderbird-debuginfo-91.11.0-150200.8.76.1
      MozillaThunderbird-debugsource-91.11.0-150200.8.76.1
      MozillaThunderbird-translations-common-91.11.0-150200.8.76.1
      MozillaThunderbird-translations-other-91.11.0-150200.8.76.1

   - SUSE Linux Enterprise Workstation Extension 15-SP3 (x86_64):

      MozillaThunderbird-91.11.0-150200.8.76.1
      MozillaThunderbird-debuginfo-91.11.0-150200.8.76.1
      MozillaThunderbird-debugsource-91.11.0-150200.8.76.1
      MozillaThunderbird-translations-common-91.11.0-150200.8.76.1
      MozillaThunderbird-translations-other-91.11.0-150200.8.76.1

   - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4 (aarch64 ppc64le s390x):

      MozillaThunderbird-91.11.0-150200.8.76.1
      MozillaThunderbird-debuginfo-91.11.0-150200.8.76.1
      MozillaThunderbird-debugsource-91.11.0-150200.8.76.1
      MozillaThunderbird-translations-common-91.11.0-150200.8.76.1
      MozillaThunderbird-translations-other-91.11.0-150200.8.76.1

   - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (aarch64 ppc64le s390x):

      MozillaThunderbird-91.11.0-150200.8.76.1
      MozillaThunderbird-debuginfo-91.11.0-150200.8.76.1
      MozillaThunderbird-debugsource-91.11.0-150200.8.76.1
      MozillaThunderbird-translations-common-91.11.0-150200.8.76.1
      MozillaThunderbird-translations-other-91.11.0-150200.8.76.1


References:

   https://www.suse.com/security/cve/CVE-2022-2200.html
   https://www.suse.com/security/cve/CVE-2022-2226.html
   https://www.suse.com/security/cve/CVE-2022-31744.html
   https://www.suse.com/security/cve/CVE-2022-34468.html
   https://www.suse.com/security/cve/CVE-2022-34470.html
   https://www.suse.com/security/cve/CVE-2022-34472.html
   https://www.suse.com/security/cve/CVE-2022-34478.html
   https://www.suse.com/security/cve/CVE-2022-34479.html
   https://www.suse.com/security/cve/CVE-2022-34481.html
   https://www.suse.com/security/cve/CVE-2022-34484.html
   https://bugzilla.suse.com/1200793

SUSE: 2022:2320-1 important: MozillaThunderbird

July 7, 2022
An update that fixes 10 vulnerabilities is now available

Summary

This update for MozillaThunderbird fixes the following issues: - CVE-2022-2200: Undesired attributes could be set as part of prototype pollution (bmo#1771381) - CVE-2022-2226: An email with a mismatching OpenPGP signature date was accepted as valid (bmo#1775441) - CVE-2022-31744: CSP bypass enabling stylesheet injection (bmo#1757604) - CVE-2022-34468: CSP sandbox header without `allow-scripts` can be bypassed via retargeted javascript: URI (bmo#1768537) - CVE-2022-34470: Use-after-free in nsSHistory (bmo#1765951) - CVE-2022-34472: Unavailable PAC file resulted in OCSP requests being blocked (bmo#1770123) - CVE-2022-34478: Microsoft protocols can be attacked if a user accepts a prompt (bmo#1773717) - CVE-2022-34479: A popup window could be resized in a way to overlay the address bar with web content (bmo#1745595) - CVE-2022-34481: Potential integer overflow in ReplaceElementsAt (bmo#1497246) - CVE-2022-34484: Memory safety bugs fixed in Thunderbird 91.11 and Thunderbird 102 (bmo#1763634, bmo#1772651) Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.4: zypper in -t patch openSUSE-SLE-15.4-2022-2320=1 - openSUSE Leap 15.3: zypper in -t patch openSUSE-SLE-15.3-2022-2320=1 - SUSE Linux Enterprise Workstation Extension 15-SP4: zypper in -t patch SUSE-SLE-Product-WE-15-SP4-2022-2320=1 - SUSE Linux Enterprise Workstation Extension 15-SP3: zypper in -t patch SUSE-SLE-Product-WE-15-SP3-2022-2320=1 - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4: zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP4-2022-2320=1 - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3: zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP3-2022-2320=1 Package List: - openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64): MozillaThunderbird-91.11.0-150200.8.76.1 MozillaThunderbird-debuginfo-91.11.0-150200.8.76.1 MozillaThunderbird-debugsource-91.11.0-150200.8.76.1 MozillaThunderbird-translations-common-91.11.0-150200.8.76.1 MozillaThunderbird-translations-other-91.11.0-150200.8.76.1 - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64): MozillaThunderbird-91.11.0-150200.8.76.1 MozillaThunderbird-debuginfo-91.11.0-150200.8.76.1 MozillaThunderbird-debugsource-91.11.0-150200.8.76.1 MozillaThunderbird-translations-common-91.11.0-150200.8.76.1 MozillaThunderbird-translations-other-91.11.0-150200.8.76.1 - SUSE Linux Enterprise Workstation Extension 15-SP4 (x86_64): MozillaThunderbird-91.11.0-150200.8.76.1 MozillaThunderbird-debuginfo-91.11.0-150200.8.76.1 MozillaThunderbird-debugsource-91.11.0-150200.8.76.1 MozillaThunderbird-translations-common-91.11.0-150200.8.76.1 MozillaThunderbird-translations-other-91.11.0-150200.8.76.1 - SUSE Linux Enterprise Workstation Extension 15-SP3 (x86_64): MozillaThunderbird-91.11.0-150200.8.76.1 MozillaThunderbird-debuginfo-91.11.0-150200.8.76.1 MozillaThunderbird-debugsource-91.11.0-150200.8.76.1 MozillaThunderbird-translations-common-91.11.0-150200.8.76.1 MozillaThunderbird-translations-other-91.11.0-150200.8.76.1 - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4 (aarch64 ppc64le s390x): MozillaThunderbird-91.11.0-150200.8.76.1 MozillaThunderbird-debuginfo-91.11.0-150200.8.76.1 MozillaThunderbird-debugsource-91.11.0-150200.8.76.1 MozillaThunderbird-translations-common-91.11.0-150200.8.76.1 MozillaThunderbird-translations-other-91.11.0-150200.8.76.1 - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (aarch64 ppc64le s390x): MozillaThunderbird-91.11.0-150200.8.76.1 MozillaThunderbird-debuginfo-91.11.0-150200.8.76.1 MozillaThunderbird-debugsource-91.11.0-150200.8.76.1 MozillaThunderbird-translations-common-91.11.0-150200.8.76.1 MozillaThunderbird-translations-other-91.11.0-150200.8.76.1

References

#1200793

Cross- CVE-2022-2200 CVE-2022-2226 CVE-2022-31744

CVE-2022-34468 CVE-2022-34470 CVE-2022-34472

CVE-2022-34478 CVE-2022-34479 CVE-2022-34481

CVE-2022-34484

Affected Products:

SUSE Linux Enterprise Desktop 15-SP3

SUSE Linux Enterprise Desktop 15-SP4

SUSE Linux Enterprise High Performance Computing 15-SP3

SUSE Linux Enterprise High Performance Computing 15-SP4

SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3

SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4

SUSE Linux Enterprise Server 15-SP3

SUSE Linux Enterprise Server 15-SP4

SUSE Linux Enterprise Server for SAP Applications 15-SP3

SUSE Linux Enterprise Server for SAP Applications 15-SP4

SUSE Linux Enterprise Storage 7.1

SUSE Linux Enterprise Workstation Extension 15-SP3

SUSE Linux Enterprise Workstation Extension 15-SP4

SUSE Manager Proxy 4.2

SUSE Manager Proxy 4.3

SUSE Manager Retail Branch Server 4.2

SUSE Manager Retail Branch Server 4.3

SUSE Manager Server 4.2

SUSE Manager Server 4.3

openSUSE Leap 15.3

openSUSE Leap 15.4

https://www.suse.com/security/cve/CVE-2022-2200.html

https://www.suse.com/security/cve/CVE-2022-2226.html

https://www.suse.com/security/cve/CVE-2022-31744.html

https://www.suse.com/security/cve/CVE-2022-34468.html

https://www.suse.com/security/cve/CVE-2022-34470.html

https://www.suse.com/security/cve/CVE-2022-34472.html

https://www.suse.com/security/cve/CVE-2022-34478.html

https://www.suse.com/security/cve/CVE-2022-34479.html

https://www.suse.com/security/cve/CVE-2022-34481.html

https://www.suse.com/security/cve/CVE-2022-34484.html

https://bugzilla.suse.com/1200793

Severity
Announcement ID: SUSE-SU-2022:2320-1
Rating: important

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.